Time series
Data model
Interest rate
datestringRequiredISO 8601 representation of the date from which the interest rate applies.
providerstringRequiredRead-only value that indicates whether the interest rate has been created by the client or Aleta. Possible values:
client,aleta.valuenumberRequiredThe annual interest rate (pro anno) expressed as a decimal value.
Price
datestringRequiredISO 8601 representation of the date from which the price applies.
providerstringRequiredRead-only value that indicates whether the price has been created by the client or Aleta. Possible values:
client,aleta.valuenumberRequiredThe numeric price value in the related instrument's currency.
Index factor
datestringRequiredISO 8601 representation of the date from which the index factor applies.
providerstringRequiredRead-only value that indicates whether the index factor has been created by the client or Aleta. Possible values:
client,aleta.valuenumberRequiredThe index factor value.
Net asset value
idstringUnique identifier for the NAV entry. Use this value when deleting a NAV you created via
DELETE /api/v3/net-asset-values/{priceId}.officialDatestringRequiredISO 8601 representation of the official NAV date.
effectiveDatestringOptional. ISO 8601 representation of the date from which the NAV is considered effective. When set to
null, defaults toofficialDate.valuenumberRequiredThe net asset value amount.
Interest rates
List interest rates
Fetch interest rates for an instrument with a given id.
instrumentIdstringRequiredIn the path. Instrument identifier.
curl https://api.aleta.ai/api/v3/instruments/5e6a90cf921d8b1874c32ed5/interest-rates \
-H "Authorization: Bearer {access_token}"
{
"data": [
{
"id": "f2d93a1df9ffeb8aa6c140be",
"type": "interest-rate",
"attributes": {
"date": "1900-01-01",
"value": 0.05,
"provider": "aleta"
}
}
]
}
Create an interest rate
instrumentIdstringRequiredIn the path. Instrument identifier.
curl -X POST https://api.aleta.ai/api/v3/instruments/5e6a90cf921d8b1874c32ed5/interest-rates \
-H "Authorization: Bearer {access_token}" \
-H "Content-Type: application/vnd.api+json" \
-d '{
"data": {
"type": "interest-rate",
"attributes": {
"date": "1900-01-01",
"value": 0.05
}
}
}'
{
"data": {
"id": "f2d93a1df9ffeb8aa6c140be",
"type": "interest-rate",
"attributes": {
"date": "1900-01-01",
"value": 0.05,
"provider": "client"
}
}
}
Prices
List prices
Fetch prices for an instrument with a given id. One price per date, newest first.
instrumentIdstringRequiredIn the path. Instrument identifier.
curl https://api.aleta.ai/api/v3/instruments/5f0475d37fe83b140c415d8f/prices \
-H "Authorization: Bearer {access_token}"
{
"data": [
{
"id": "6684eb68e9a978c0a6cd0303",
"type": "price",
"attributes": {
"date": "2024-07-02",
"value": 220.27,
"provider": "aleta"
}
},
{
"id": "668399e8e9a978c0a636a94c",
"type": "price",
"attributes": {
"date": "2024-07-01",
"value": 216.75,
"provider": "aleta"
}
}
]
}
Create a price
instrumentIdstringRequiredIn the path. Instrument identifier.
curl -X POST https://api.aleta.ai/api/v3/instruments/6699152b115c90d14ceae709/prices \
-H "Authorization: Bearer {access_token}" \
-H "Content-Type: application/vnd.api+json" \
-d '{
"data": {
"type": "price",
"attributes": {
"date": "2024-07-03",
"value": 221.55
}
}
}'
{
"data": {
"id": "66991875143aa32c6619d648",
"type": "price",
"attributes": {
"date": "2024-07-03",
"value": 221.55,
"provider": "client"
}
}
}
Index factors
List index factors
Fetch index factors for an instrument with a given id.
instrumentIdstringRequiredIn the path. Instrument identifier.
curl https://api.aleta.ai/api/v3/instruments/5f0475d37fe83b140c415d8f/index-factors \
-H "Authorization: Bearer {access_token}"
{
"data": [
{
"id": "668399e8e9a978c0a636a94c",
"type": "index-factor",
"attributes": {
"date": "2024-07-01",
"value": 118.75,
"provider": "aleta"
}
},
{
"id": "6684eb68e9a978c0a6cd0303",
"type": "index-factor",
"attributes": {
"date": "2024-07-02",
"value": 118.90,
"provider": "aleta"
}
}
]
}
Create an index factor
Create index factors for an instrument with a given id.
instrumentIdstringRequiredIn the path. Instrument identifier.
curl -X POST https://api.aleta.ai/api/v3/instruments/6699152b115c90d14ceae709/index-factors \
-H "Authorization: Bearer {access_token}" \
-H "Content-Type: application/vnd.api+json" \
-d '{
"data": {
"type": "index-factor",
"attributes": {
"date": "2024-07-03",
"value": 118.55
}
}
}'
{
"data": {
"id": "66991875143aa32c6619d648",
"type": "index-factor",
"attributes": {
"date": "2024-07-03",
"value": 118.55,
"provider": "client"
}
}
}
Net asset values
List net asset values
Fetch net asset values for an instrument with a given id.
instrumentIdstringRequiredIn the path. Instrument identifier.
curl https://api.aleta.ai/api/v3/instruments/d7ff1805ab0737c827ce5428/net-asset-values \
-H "Authorization: Bearer {access_token}"
{
"data": [
{
"type": "net-asset-value",
"id": "66990014c5dc848e8f97c1bb",
"attributes": {
"officialDate": "2025-11-30",
"effectiveDate": "2025-12-01",
"value": 1022759.07
}
}
]
}
Create a net asset value
Create a net asset value for an instrument with a given id.
instrumentIdstringRequiredIn the path. Instrument identifier.
curl -X POST https://api.aleta.ai/api/v3/instruments/5eec224dac39d31c888a01da/net-asset-values \
-H "Authorization: Bearer {access_token}" \
-H "Content-Type: application/vnd.api+json" \
-d '{
"data": {
"type": "net-asset-value",
"attributes": {
"officialDate": "2022-05-01",
"effectiveDate": null,
"value": 2500000
}
}
}'
{
"data": {
"id": "68e766b53f3c5ba4efd60821",
"type": "net-asset-value",
"attributes": {
"officialDate": "2022-05-01",
"effectiveDate": "2022-05-01",
"value": 2500000
}
}
}
Delete a net asset value
Delete a net asset value that was created with POST /api/v3/instruments/{instrumentId}/net-asset-values, by its identifier. Answers 204 No Content.
priceIdstringRequiredIn the path. Net asset value identifier: the
idreturned when the NAV was created, whichGET /api/v3/instruments/{instrumentId}/net-asset-valuesalso lists.
curl -X DELETE https://api.aleta.ai/api/v3/net-asset-values/66990014c5dc848e8f97c1bb \
-H "Authorization: Bearer {access_token}"